Bug 186323 - Gtk2 scrollbar color with KDE
Gtk2 scrollbar color with KDE
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 16:43 EST by Ian Pilcher
Modified: 2008-08-26 11:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-26 11:42:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 169866 None None None Never

  None (edit)
Description Ian Pilcher 2006-03-22 16:43:59 EST
Description of problem:

When running KDE, the scrollbars of Gtk2 applications always appear as
light blue (Clearlooks default?), ignoring both the KDE color scheme and
the user's selected Gnome theme.


Version-Release number of selected component (if applicable):

gtk2-2.8.15-1


How reproducible:

100%


Steps to Reproduce:

1.  Log in to Gnome and change the theme to something which doesn't use a
    light blue scrollbar (Bluecurve, for example).
2.  Note that Gtk2 applications, such as Firefox and the GIMP now use the
    selected color for their scrollbars.
3.  Log out of Gnome and log in to KDE.
4.  Select a color scheme which doesn't use a light blue scrollbar (just
    about any of them).
5.  Note that Firefox, Thunderbird, and the GIMP still use light blue
    scrollbars.

  
Actual results:

See above.


Expected results:

Gtk applications should honor KDE color scheme.  (At the very least, they
should honor the users Gnome theme.)


Additional info:

This may be a KDE bug.  However, this bug did not exist on Fedora Core 4,
even when updated to KDE 3.5.1.
Comment 1 Ian Pilcher 2006-03-27 11:16:34 EST
Additional information -- if /usr/libexec/gnome-settings-daemon is running,
then Gtk applications use the scrollbar color (and drawing style) specified
in the user's GNOME theme.

This is not a solution, however; Gtk applications should use the KDE color
scheme when running under KDE.
Comment 2 Frank Schmitt 2006-04-30 19:38:49 EDT
I see the same problem
Comment 3 Frank Schmitt 2006-05-01 05:46:52 EDT
For me running /usr/libexec/gnome-settings-daemon doesn't help, even if I start
Gnome, the color of scrollbars for Bluecurve theme isn't blue but gray.
Comment 4 Matthias Clasen 2006-05-01 10:32:36 EDT
kde needs to run an xsettings manager exporting their settings in a cross-desktop
way.
Comment 5 A S Alam 2008-01-24 01:26:14 EST
Updating to Rawhide, as Problem still exist with following packages:
kdebase-4.0.0-2.fc9
gtk2-2.12.5-1.fc9
firefox-3.0-0.beta2.12.nightly20080121.fc9
Comment 6 Steven M. Parrish 2008-04-09 11:13:50 EDT
Is this a Fedora only issue, or something from upstream KDE.  If you have
another distro running would be interesting to see how they handle this.
Comment 7 Kevin Kofler 2008-04-22 17:24:55 EDT
The code which writes out the GTK+ color settings now lives in 
kdebase-workspace.
Comment 8 Bug Zapper 2008-05-13 22:07:33 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Steven M. Parrish 2008-06-30 17:23:51 EDT
Was this resolved or is it still a work in progress?
Comment 10 Kevin Kofler 2008-06-30 19:32:21 EDT
Not resolved yet.
Comment 11 Steven M. Parrish 2008-08-07 20:21:44 EDT
Are we there yet?  lol

Really mean Is this resolved with the official 4.1 release?
Comment 12 Kevin Kofler 2008-08-07 20:57:18 EDT
Still not fixed.

Hey, this has been open for over 2 years, what makes this so urgent now that we need to be reminded every few days? ;-)
Comment 13 Steven M. Parrish 2008-08-26 11:04:43 EDT
Well if its been 2 years then it sounds like its not a high priority.  So we need to decide if its worth keeping open and giving it some attention or just closing as WONT FIX.
Comment 14 Rex Dieter 2008-08-26 11:18:12 EDT
Besides, this really needs to be upstreamed.  hint hint...

not that kde upstream currently has much interest in implementing the suggested xsettings-manager solution. :(
Comment 15 Steven M. Parrish 2008-08-26 11:42:53 EDT
Ok upstreamed it.  Will let upstream decide what if anything they want to do with it.

Note You need to log in before you can comment on or make changes to this bug.